Subject: bug#58224: 29.0.50; "make bootstrap" spuriously warns: "comp.el newer than byte-compiled file"

From: Eli Zaretskii <[email-masked]>
Date: Sun, 02 Oct 2022 18:54:10 +0300

> Date: Sun, 2 Oct 2022 15:38:25 +0000
> Cc: [email-masked], [email-masked]
> From: Alan Mackenzie <[email-masked]>
> 
> In lread.c I've got:
> 
>   struct timespec epoch_timespec = {(time_t)0, 0}; /* 1970-01-01T00:00 UTC */ 
> 
> , which clearly isn't satisfactory.

I'm not sure I follow: why not satisfactory?

> Can you (or anybody else) give me a clue as how to convert a human
> readable time into a struct timespec?  I've spent most of the
> afternoon searching and grepping lots of .h files, and haven't come
> up with anything, yet.

Is mktime the function you are after?